Webhooks

/accountBalanceHistoryUpdated

BETA
post
https://api.snaptrade.com/api/v1/accountBalanceHistoryUpdated

Notifies when account balance history has been updated for an account.

Execute an API Request

Request Body
webookIdstring
clientIdstring
eventTimestampstring
userIdstring
Authorization
Request
Installation
$
npm install snaptrade-typescript-sdk
1
import { Snaptrade } from "snaptrade-typescript-sdk";
2
3
const snaptrade = new Snaptrade({
4
clientId: "PARTNER_CLIENT_ID",
5
consumerKey: "CONSUMER_KEY",
6
});
7
8
const response =
9
await snaptrade.webhooks.accountBalanceHistoryUpdated(
10
{
11
webookId:
12
"06fe1fd7-fc50-43a7-b564-8a2c5f3bab44",
13
clientId: "WEALTHYCHIPMUNK",
14
eventTimestamp: "2022-01-21T20:11:19.217Z",
15
userId: "external_user@test.com",
16
},
17
);
18
console.log(response.data);

Response fields

No response fields.